Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.utils
Class UploadWorker

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.utils.UploadWorker

public class UploadWorker
extends java.lang.Object

UploadWorker
Classe déléguée pour la récupération de fichiers uploadés
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`UploadWorker(org.jasig.portal.ChannelRuntimeData rd)` Constructeur

Method Summary
`java.lang.String` | `getContentType()` Retourne le type MIME du fichier uploadé
`java.io.InputStream` | `getInputStream()` Retourne un flux de lecture sur le fichier uploadé
`java.lang.String` | `getName()` Retourne le nom du fichier uploadé
`void` | `parseFile(java.lang.String parameter)` Déclenche la récupération du fichier

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadWorker

    public UploadWorker(org.jasig.portal.ChannelRuntimeData rd)

  Constructeur

Parameters:
  `rd` - Les ChannelRuntimeData contenant le fichier uploadé

Method Detail

### parseFile

    public void parseFile(java.lang.String parameter)
                   throws SizeLimitException,
                          java.io.FileNotFoundException

  Déclenche la récupération du fichier

  Parameters:
    `parameter` - Le nom du paramètre contenant le fichier uploadé
  Throws:
    `SizeLimitException`
    `java.io.FileNotFoundException`

### getContentType

    public java.lang.String getContentType()

  Retourne le type MIME du fichier uploadé

  Returns:
    type Le type MIME

### getName

    public java.lang.String getName()

  Retourne le nom du fichier uploadé

  Returns:
    name Le nom du fichier

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Retourne un flux de lecture sur le fichier uploadé

  Returns:
    input Le flux de lecture
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD